curl --request GET \
--url https://api-sandbox.synctera.com/v0/statements/{statement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/statements/{statement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/statements/{statement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"savings_summary": {
"accrual_days": 123,
"apy": 5.5,
"interest_earned": 150,
"interest_earned_previous_month": 150,
"interest_earned_previous_year": 10000,
"interest_earned_ytd": 10000
},
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_date": "2023-12-25",
"end_date": "2023-12-25",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_date": "2023-12-25",
"start_date": "2023-12-25",
"account_summary": {
"account_number": "<string>",
"account_status": "<string>",
"account_type": "<string>",
"balance_ceiling": {
"balance": 123
},
"balance_floor": {
"balance": 123
},
"creation_time": "2023-11-07T05:31:56Z",
"currency": "USD",
"customer_type": "<string>",
"financial_institution": {
"legal_address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"country_code": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"name": "<string>",
"phone_number": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2023-11-07T05:31:56Z",
"nickname": "<string>"
},
"authorized_signer": [
{
"creation_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"relationship_type": "<string>"
}
],
"closing_balance": 123,
"customer_service_details": {
"address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"country_code": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"email": "<string>",
"phone_number": "<string>"
},
"disclosure": "<string>",
"joint_account_holders": [
{
"creation_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"relationship_type": "<string>"
}
],
"opening_balance": 123,
"primary_account_holder_business": {
"creation_time": "2023-11-07T05:31:56Z",
"ein": "<string>",
"email": "<string>",
"entity_name": "<string>",
"formation_date": "2023-12-25",
"formation_state": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2023-11-07T05:31:56Z",
"phone_number": "<string>",
"status": "<string>",
"structure": "<string>",
"trade_names": [
"<string>"
],
"verification_last_run": "2023-11-07T05:31:56Z",
"verification_status": "<string>"
},
"primary_account_holder_personal": {
"creation_time": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"last_updated_time": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"relationship_type": "<string>"
},
"transactions": [
{
"data": {
"lines": [
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"account_no": "<string>",
"amount": 123,
"currency": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"memo": "<string>",
"external_data": {},
"metadata": {}
},
"effective_date": "2023-11-07T05:31:56Z",
"id": 123,
"posted_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"subtype": "<string>",
"type": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"transactions_omitted": true
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get a statement
Gets a full statement by its ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a statement
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
statement
A statement for a depository account
A summary of the accrued interest for the saving account in the current period
Show child attributes
Show child attributes
The unique identifier of the account the statement belongs to
The limit date when the due amount indicated on the statement should be paid
The date indicating the ending of the time interval covered by the statement
statement ID
The date when the statement has been issued
The date indicating the beginning of the time interval covered by the statement
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The account balance at the end of the statement period, in ISO 4217 minor currency units.
The customer service details of the fintech partner, e.g. phone number, email address, etc.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The account balance at the start of the statement period, in ISO 4217 minor currency units.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
This attribute is deprecated and will be removed in a future API version. Use GET /v0/statements/{statement_id}/transactions instead.
Show child attributes
Show child attributes
Only appears in statement.created webhook payloads. Indicates that the transactions attribute was emptied due to webhook size constraints. If this attribute returns true, you may use GET /v0/statements/{statement_id}/transactions to retrieve the full list.
Was this page helpful?

